!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_801) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                       2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_800) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_803) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)** &
                       2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_802) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
      coupl(nGC_805) = -ca*cima*l3
      coupl(nGC_804) = cima*l1*sa
      coupl(nGC_807) = cima*sa*vev
      coupl(nGC_806) = cima*(ca*l1*vev + l3*sa*vevs)
      coupl(nGC_809) = -sqrt(2d0)/2d0
      coupl(nGC_808) = -ca*cima*vevs
      coupl(nGC_74) = -ca*cima*l3*vevs + cima*l1*sa*vev
      coupl(nGC_233) = -ca*cima*(ca**2d0*l3 + 3d0*l2*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_231) = cima*(3d0*ca**3d0*l1*vev - 2d0*ca**3d0*l3*vev - 6d0*ca**&
                       2d0*l2*sa*vevs + 7d0*ca**2d0*l3*sa*vevs - 6d0*ca*l1*sa**&
                       2d0*vev + 7d0*ca*l3*sa**2d0*vev + 3d0*l2*sa**3d0*vevs - &
                       2d0*l3*sa**3d0*vevs)
      coupl(nGC_237) = -3d0*ca*cima*sa**2d0*vevs
      coupl(nGC_235) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_239) = -cima*(ca**3d0*vevs + 2d0*ca**2d0*sa*vev - 2d0*ca*sa**  &
                       2d0*vevs - sa**3d0*vev)
      coupl(nGC_698) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_699) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_690) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_691) = -ee**2d0/sw
      coupl(nGC_692) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_693) = ee**2d0/sw
      coupl(nGC_694) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_695) = -ca*cima*ee**2d0/sw
      coupl(nGC_696) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_697) = 2d0*cima*ee**2d0/sw
      coupl(nGC_764) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_765) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_766) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw**&
                       2d0)
      coupl(nGC_767) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_760) = -cima*ee**2d0*vev/cw
      coupl(nGC_761) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_762) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_763) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_768) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_769) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_838) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_839) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_834) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_835) = sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_836) = -sqrt(2d0)/2d0
      coupl(nGC_837) = sqrt(2d0)/2d0
      coupl(nGC_830) = -sqrt(2d0)/2d0
      coupl(nGC_831) = sqrt(2d0)/2d0
      coupl(nGC_832) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_833) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_637) = -ca*cima*sa
      coupl(nGC_635) = cima*(ca - sa)*(ca + sa)*(l1 - l3)
      coupl(nGC_738) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_733) = cima*ee/cw
      coupl(nGC_221) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_223) = -3d0*ca**2d0*cima*sa*vevs
      coupl(nGC_225) = -cima*(ca**3d0*vev - 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**  &
                       2d0*vev + sa**3d0*vevs)
      coupl(nGC_227) = -3d0*ca*cima*sa**2d0*vev
      coupl(nGC_687) = cima*ee/sw
      coupl(nGC_686) = -cima*cw*ee/sw
      coupl(nGC_685) = cima*cw*ee/sw**2d0
      coupl(nGC_684) = -cima*ee/sw
      coupl(nGC_683) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_682) = ca*cima*ee/(2d0*sw)
      coupl(nGC_681) = -ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_680) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_689) = cima*cw*ee/sw
      coupl(nGC_688) = -cima*cw*ee/sw**2d0
      coupl(nGC_773) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_772) = cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_771) = -cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_770) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_777) = ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_776) = -ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_775) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_774) = -ca*cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_779) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_778) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_829) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_828) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_823) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
      coupl(nGC_822) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_821) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_820) = sqrt(2d0)/2d0
      coupl(nGC_827) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_826) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_825) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                       2d0*sw**2d0)
      coupl(nGC_824) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_99) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_98) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_97) = sqrt(2d0)*ye/2d0
      coupl(nGC_96) = -sqrt(2d0)*ye/2d0
      coupl(nGC_95) = -cima*ye
      coupl(nGC_94) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_93) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_92) = sqrt(2d0)*ydo/2d0
      coupl(nGC_91) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_90) = -cima*ydo
      coupl(nGC_75) = -ca*cima*l1*vev - cima*l3*sa*vevs
      coupl(nGC_77) = -3d0*ca**3d0*cima*l2*vevs + 3d0*ca**2d0*cima*l3*sa*vev - &
                      3d0*ca*cima*l3*sa**2d0*vevs + 3d0*cima*l1*sa**3d0*vev
      coupl(nGC_76) = -ca**3d0*cima*l3*vevs + 3d0*ca**2d0*cima*l1*sa*vev - 2d0*&
                      ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l2*sa**2d0*vevs +   &
                      2d0*ca*cima*l3*sa**2d0*vevs + cima*l3*sa**3d0*vev
      coupl(nGC_71) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_70) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_73) = -cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) - cima*ee**2d0&
                      *sa*vev - cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_72) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee** &
                      2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_79) = -ca**3d0*cima*l3*vev - 3d0*ca**2d0*cima*l2*sa*vevs + 2d0*&
                      ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l1*sa**2d0*vev +   &
                      2d0*ca*cima*l3*sa**2d0*vev - cima*l3*sa**3d0*vevs
      coupl(nGC_78) = -3d0*ca**3d0*cima*l1*vev - 3d0*ca**2d0*cima*l3*sa*vevs - &
                      3d0*ca*cima*l3*sa**2d0*vev - 3d0*cima*l2*sa**3d0*vevs
      coupl(nGC_219) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_217) = -cima*(3d0*ca**3d0*l2*vevs - 2d0*ca**3d0*l3*vevs + 6d0* &
                       ca**2d0*l1*sa*vev - 7d0*ca**2d0*l3*sa*vev - 6d0*ca*l2*sa&
                       **2d0*vevs + 7d0*ca*l3*sa**2d0*vevs - 3d0*l1*sa**3d0*vev&
                        + 2d0*l3*sa**3d0*vev)
      coupl(nGC_211) = -3d0*ca*cima*sa*(ca*vevs + sa*vev)
      coupl(nGC_213) = -3d0*ca**3d0*cima*vev
      coupl(nGC_788) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
      coupl(nGC_789) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_786) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_787) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
      coupl(nGC_784) = cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_785) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_782) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_783) = cima*ee*sa*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_780) = cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_781) = -cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_88) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_89) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_80) = -cima*yb
      coupl(nGC_81) = -sqrt(2d0)*yb/2d0
      coupl(nGC_82) = sqrt(2d0)*yb/2d0
      coupl(nGC_83) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_84) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_85) = cima*yc
      coupl(nGC_86) = -sqrt(2d0)*yc/2d0
      coupl(nGC_87) = sqrt(2d0)*yc/2d0
      coupl(nGC_66) = -ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*ee** &
                      2d0*sa - ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_67) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0&
                      *sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_64) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_65) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima&
                      *ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_62) = cMZ*cima*cw*ee*sa/(2d0*sw) + cMZ*cima*ee*sa*sw/(2d0*cw)
      coupl(nGC_63) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_60) = -cMZ*ca*cima*cw*ee/(2d0*sw) - cMZ*ca*cima*ee*sw/(2d0*cw)
      coupl(nGC_61) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_68) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_69) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_209) = -3d0*cima*sa**3d0*vevs
      coupl(nGC_203) = 3d0*cima*(-ca**3d0*l3*vevs + 3d0*ca**2d0*l1*sa*vev - 2d0&
                       *ca**2d0*l3*sa*vev - 3d0*ca*l2*sa**2d0*vevs + 2d0*ca*l3*&
                       sa**2d0*vevs + l3*sa**3d0*vev)
      coupl(nGC_207) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
      coupl(nGC_205) = -3d0*cima*sa*(ca**2d0*l3 + l2*sa**2d0)
      coupl(nGC_717) = cima*ee*sa/(2d0*sw)
      coupl(nGC_716) = -cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_711) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_713) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_799) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                       **2d0)
      coupl(nGC_798) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
      coupl(nGC_795) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_794) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_797) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_796) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_791) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_790) = -cima*ee**2d0*vev/sw
      coupl(nGC_793) = -cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_792) = cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_53) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_52) = cima*ee*sw/cw
      coupl(nGC_51) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_50) = cima*ee*sw/(3d0*cw)
      coupl(nGC_57) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_56) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_55) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_54) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_59) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_58) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_413) = 1d0/(2d0*cMZ)
      coupl(nGC_636) = ca*cima*sa
      coupl(nGC_634) = -ca**2d0*cima
      coupl(nGC_632) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_633) = -cima*sa**2d0
      coupl(nGC_630) = -ca**2d0*cima
      coupl(nGC_631) = -cima*sa**2d0
      coupl(nGC_638) = -cima*ee**2d0/sw**3d0
      coupl(nGC_639) = cima*ee**2d0/sw**2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_48) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_49) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_44) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_45) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_46) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_47) = cima*ee*sa/(2d0*sw)
      coupl(nGC_40) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_41) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_42) = -cMW*ee/(2d0*sw)
      coupl(nGC_43) = cMW*ee/(2d0*sw)
      coupl(nGC_409) = -cima/(2d0*cMW)
      coupl(nGC_405) = cima/(2d0*cMW)
      coupl(nGC_626) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_621) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_622) = ee**2d0/cw
      coupl(nGC_629) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_628) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_39) = ee**2d0/(2d0*sw)
      coupl(nGC_38) = -ee**2d0/(2d0*sw)
      coupl(nGC_31) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_30) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_33) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_32) = ee/(2d0*sw)
      coupl(nGC_35) = ca*cima*ee/(2d0*sw)
      coupl(nGC_34) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_37) = cima*cw*ee/sw
      coupl(nGC_36) = -cima*cw*ee/sw
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_439) = -coupl(nGC_41)/2d0
      coupl(nGC_610) = -3d0*cima
      coupl(nGC_611) = cima*ee/3d0
      coupl(nGC_613) = -gs
      coupl(nGC_614) = -2d0*cima
      coupl(nGC_615) = 2d0*cima*ee**2d0
      coupl(nGC_616) = 2d0*cima*gs**2d0
      coupl(nGC_617) = cMW*cima*ee
      coupl(nGC_618) = cima*ee/(2d0*cMW)
      coupl(nGC_619) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_28) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_29) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_22) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*&
                      cima*l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_23) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l1*sa**4d0
      coupl(nGC_20) = -ca**2d0*cima*l1 - cima*l3*sa**2d0
      coupl(nGC_21) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      *cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_26) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_27) = -cima*ee**2d0/sw**2d0
      coupl(nGC_24) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l2*sa**4d0
      coupl(nGC_25) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**&
                      2d0*cima*l2*sa**2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 - cima*&
                      l3*sa**4d0
      coupl(nGC_625) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_624) = -ca*cima*ee**2d0/cw
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_620) = -ee**2d0/cw
      coupl(nGC_623) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_742) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_743) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_740) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_747) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_427) = -coupl(nGC_32)
      coupl(nGC_425) = -coupl(nGC_34)
      coupl(nGC_421) = -coupl(nGC_36)
      coupl(nGC_609) = -cima*ee
      coupl(nGC_608) = cima*ee
      coupl(nGC_607) = -2d0*cima*ee/3d0
      coupl(nGC_17) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_15) = -3d0*cima*l1
      coupl(nGC_14) = -2d0*cima*l1
      coupl(nGC_13) = -cima*l1
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_19) = -ca**2d0*cima*l3 - cima*l1*sa**2d0
      coupl(nGC_18) = ca*cima*l1*sa - ca*cima*l3*sa
      coupl(nGC_731) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_453) = -coupl(nGC_55)
      coupl(nGC_451) = -coupl(nGC_35)
      coupl(nGC_455) = -coupl(nGC_47)
      coupl(nGC_678) = -3d0*ca**3d0*cima*sa
      coupl(nGC_679) = 3d0*ca*cima*sa**3d0
      coupl(nGC_671) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_674) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_675) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_704) = cMW*ee/(2d0*sw)
      coupl(nGC_702) = -ee/(4d0*cMW*sw)
      coupl(nGC_703) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_709) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_858) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_859) = sqrt(2d0)/2d0
      coupl(nGC_856) = -sqrt(2d0)/2d0
      coupl(nGC_857) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_854) = -sqrt(2d0)/2d0
      coupl(nGC_855) = sqrt(2d0)/2d0
      coupl(nGC_852) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_853) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_850) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_851) = sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_721) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_722) = -cMW*cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_726) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_441) = -2d0*coupl(nGC_27)
      coupl(nGC_443) = -coupl(nGC_57)
      coupl(nGC_447) = -coupl(nGC_61)
      coupl(nGC_449) = -coupl(nGC_46)
      coupl(nGC_283) = sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_281) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_669) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_668) = ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_661) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - 3d0*ca**2d0*l1*sa** &
                       2d0 - 3d0*ca**2d0*l2*sa**2d0 + 6d0*ca**2d0*l3*sa**2d0 + &
                       l2*sa**4d0 - l3*sa**4d0)
      coupl(nGC_660) = ee/(2d0*sw)
      coupl(nGC_663) = 3d0*ca**3d0*cima*sa
      coupl(nGC_662) = -3d0*ca*cima*sa**3d0
      coupl(nGC_665) = ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_664) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_667) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_666) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_715) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_714) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_710) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_712) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_719) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_718) = ca*cima*ee/(2d0*sw)
      coupl(nGC_124) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_122) = sqrt(2d0)*yup/2d0
      coupl(nGC_123) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_120) = cima*yup
      coupl(nGC_121) = -sqrt(2d0)*yup/2d0
      coupl(nGC_849) = sqrt(2d0)/2d0
      coupl(nGC_848) = sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_845) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_844) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_847) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_846) = -sqrt(2d0)/2d0
      coupl(nGC_841) = sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_840) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_843) = -sqrt(2d0)/2d0
      coupl(nGC_842) = sqrt(2d0)/2d0
      coupl(nGC_I) = cima
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_627) = cima*ee**2d0*sa/cw
      coupl(nGC_277) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_275) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_271) = sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_720) = cima*ee**2d0*sa/sw
      coupl(nGC_723) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_724) = cima*ee*sa/(4d0*cMW*sw)
      coupl(nGC_725) = cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_727) = cima*ee/(3d0*cw)
      coupl(nGC_728) = cima*ee*sw/(3d0*cw)
      coupl(nGC_729) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_654) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_655) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + l1*sa**2d0 &
                        - l3*sa**2d0)
      coupl(nGC_656) = -3d0*ca**4d0*cima
      coupl(nGC_657) = -3d0*cima*sa**4d0
      coupl(nGC_650) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_651) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_652) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_653) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_658) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_659) = -ee/(2d0*sw**2d0)
      coupl(nGC_672) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_673) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3)
      coupl(nGC_670) = cima*ee*sa/(2d0*sw)
      coupl(nGC_676) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_677) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + 3d0*ca**2d0*l1*sa**&
                       2d0 + 3d0*ca**2d0*l2*sa**2d0 - 6d0*ca**2d0*l3*sa**2d0 - &
                       l1*sa**4d0 + l3*sa**4d0)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_8) = ee**2d0/(2d0*cw)
      coupl(nGC_269) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_265) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_263) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_706) = cMW*ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_707) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_705) = ee/(4d0*cMW*sw)
      coupl(nGC_700) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_701) = -cMW*ee/(2d0*sw)
      coupl(nGC_739) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_737) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_736) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_735) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_734) = cima*ee*sw/cw
      coupl(nGC_732) = -cima*ee*sw/cw**2d0
      coupl(nGC_730) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_708) = -ca*cima*ee/(4d0*cMW*sw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_643) = -3d0*cima*sa**4d0
      coupl(nGC_642) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - l2*sa**2d0 + &
                       l3*sa**2d0)
      coupl(nGC_641) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_640) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_647) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_646) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_645) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_644) = -3d0*ca**4d0*cima
      coupl(nGC_649) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_648) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_867) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_866) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_865) = sqrt(2d0)/2d0
      coupl(nGC_864) = -sqrt(2d0)/2d0
      coupl(nGC_863) = -sqrt(2d0)/2d0
      coupl(nGC_862) = sqrt(2d0)/2d0
      coupl(nGC_861) = sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_860) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_869) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_868) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_245) = 3d0*cima*(ca**3d0*l3*vev + 3d0*ca**2d0*l2*sa*vevs - 2d0*&
                       ca**2d0*l3*sa*vevs + 3d0*ca*l1*sa**2d0*vev - 2d0*ca*l3* &
                       sa**2d0*vev + l3*sa**3d0*vevs)
      coupl(nGC_249) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
