!******************************************************************************!
!                                                                              !
!    ctparameter107.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter107.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter107
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter107()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMW2_MS_QED2 = DeltaUV*(Nc*cMB**2d0*coupl(nGC_33)**2d0 + Nc*cMC**2d0*coupl(  &
                 nGC_33)**2d0 + Nc*cMD**2d0*coupl(nGC_33)**2d0 + Nc*cMS**2d0*  &
                 coupl(nGC_33)**2d0 + Nc*cMT**2d0*coupl(nGC_33)**2d0 + Nc*cMU**&
                 2d0*coupl(nGC_33)**2d0 - 2d0*Nc*cMW**2d0*coupl(nGC_33)**2d0 + &
                 cME**2d0*coupl(nGC_33)**2d0 - cima*cMHH**2d0*coupl(nGC_28)/2d0&
                  - cMHH**2d0*coupl(nGC_34)*coupl(nGC_35) - cima*cMHL**2d0*    &
                 coupl(nGC_31)/2d0 - cMHL**2d0*coupl(nGC_46)*coupl(nGC_47) +   &
                 cMM**2d0*coupl(nGC_33)**2d0 + cMTA**2d0*coupl(nGC_33)**2d0 -  &
                 cima*cMW**2d0*coupl(nGC_26) + 3d0*cima*cMW**2d0*coupl(nGC_27  &
                 ) + 15d0*cMW**2d0*coupl(nGC_3)**2d0/2d0 - 2d0*cMW**2d0*coupl( &
                 nGC_32)**2d0/3d0 - 2d0*cMW**2d0*coupl(nGC_33)**2d0 - 2d0*cMW**&
                 2d0*coupl(nGC_34)*coupl(nGC_35)/3d0 - cMW**2d0*coupl(nGC_36)**&
                 2d0/6d0 + 15d0*cMW**2d0*coupl(nGC_37)**2d0/2d0 - cMW**2d0*    &
                 coupl(nGC_4)**2d0/6d0 - 2d0*cMW**2d0*coupl(nGC_46)*coupl(     &
                 nGC_47)/3d0 - cima*cMZ**2d0*coupl(nGC_26)/2d0 - 3d0*cima*cMZ**&
                 2d0*coupl(nGC_29) - cMZ**2d0*coupl(nGC_32)**2d0 - cMZ**2d0*   &
                 coupl(nGC_36)**2d0/4d0 + 17d0*cMZ**2d0*coupl(nGC_37)**2d0/4d0 &
                  - coupl(nGC_68)**2d0 - coupl(nGC_69)**2d0 - coupl(nGC_70)**  &
                 2d0 - coupl(nGC_71)**2d0)/(16d0*pi**2d0) - cima*(coupl(nGC_70 &
                 )*dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_69)*dtHh_MS_QED1/cMHH**  &
                 2d0)
    if (.not. complex_mass_scheme) then
      dMW2_MS_QED2 = cone*real(dMW2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter107
end module ctparameter107
