!******************************************************************************!
!                                                                              !
!    ctparameter113.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter113.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter113
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter113()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMZ2_MS_QED2 = DeltaUV*(2d0*Nc*cMB**2d0*coupl(nGC_50)**2d0 - 4d0*Nc*cMB**2d0*&
                 coupl(nGC_50)*coupl(nGC_53) + 2d0*Nc*cMB**2d0*coupl(nGC_53)** &
                 2d0 + 2d0*Nc*cMC**2d0*coupl(nGC_51)**2d0 - 4d0*Nc*cMC**2d0*   &
                 coupl(nGC_51)*coupl(nGC_54) + 2d0*Nc*cMC**2d0*coupl(nGC_54)** &
                 2d0 + 2d0*Nc*cMD**2d0*coupl(nGC_50)**2d0 - 4d0*Nc*cMD**2d0*   &
                 coupl(nGC_50)*coupl(nGC_53) + 2d0*Nc*cMD**2d0*coupl(nGC_53)** &
                 2d0 + 2d0*Nc*cMS**2d0*coupl(nGC_50)**2d0 - 4d0*Nc*cMS**2d0*   &
                 coupl(nGC_50)*coupl(nGC_53) + 2d0*Nc*cMS**2d0*coupl(nGC_53)** &
                 2d0 + 2d0*Nc*cMT**2d0*coupl(nGC_51)**2d0 - 4d0*Nc*cMT**2d0*   &
                 coupl(nGC_51)*coupl(nGC_54) + 2d0*Nc*cMT**2d0*coupl(nGC_54)** &
                 2d0 + 2d0*Nc*cMU**2d0*coupl(nGC_51)**2d0 - 4d0*Nc*cMU**2d0*   &
                 coupl(nGC_51)*coupl(nGC_54) + 2d0*Nc*cMU**2d0*coupl(nGC_54)** &
                 2d0 - 2d0*Nc*cMZ**2d0*coupl(nGC_50)**2d0 - 2d0*Nc*cMZ**2d0*   &
                 coupl(nGC_51)**2d0 - 2d0*Nc*cMZ**2d0*coupl(nGC_53)**2d0 - 2d0*&
                 Nc*cMZ**2d0*coupl(nGC_54)**2d0 + 2d0*cME**2d0*coupl(nGC_52)** &
                 2d0 - 4d0*cME**2d0*coupl(nGC_52)*coupl(nGC_55) + 2d0*cME**2d0*&
                 coupl(nGC_55)**2d0 - cMHH**2d0*coupl(nGC_57)**2d0 - cima*cMHH &
                 **2d0*coupl(nGC_65)/2d0 - cMHL**2d0*coupl(nGC_61)**2d0 - cima*&
                 cMHL**2d0*coupl(nGC_67)/2d0 + 2d0*cMM**2d0*coupl(nGC_52)**2d0 &
                  - 4d0*cMM**2d0*coupl(nGC_52)*coupl(nGC_55) + 2d0*cMM**2d0*   &
                 coupl(nGC_55)**2d0 + 2d0*cMTA**2d0*coupl(nGC_52)**2d0 - 4d0*  &
                 cMTA**2d0*coupl(nGC_52)*coupl(nGC_55) + 2d0*cMTA**2d0*coupl(  &
                 nGC_55)**2d0 - 6d0*cima*cMW**2d0*coupl(nGC_29) - cMW**2d0*    &
                 coupl(nGC_36)**2d0/2d0 + 17d0*cMW**2d0*coupl(nGC_37)**2d0/2d0 &
                  + 2d0*cMW**2d0*coupl(nGC_55)**2d0 - cima*cMW**2d0*coupl(     &
                 nGC_63) + cMZ**2d0*coupl(nGC_36)**2d0/12d0 + 13d0*cMZ**2d0*   &
                 coupl(nGC_37)**2d0/4d0 - 2d0*cMZ**2d0*coupl(nGC_52)**2d0 - 7d0&
                 *cMZ**2d0*coupl(nGC_55)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_56  &
                 )**2d0 - 2d0*cMZ**2d0*coupl(nGC_57)**2d0/3d0 - 2d0*cMZ**2d0*  &
                 coupl(nGC_61)**2d0/3d0 - cima*cMZ**2d0*coupl(nGC_64)/2d0 - 2d0&
                 *coupl(nGC_68)**2d0 - coupl(nGC_72)**2d0 - coupl(nGC_73)**2d0 &
                 )/(16d0*pi**2d0) - cima*(coupl(nGC_73)*dtHl_MS_QED1/cMHL**2d0 &
                  + coupl(nGC_72)*dtHh_MS_QED1/cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dMZ2_MS_QED2 = cone*real(dMZ2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter113
end module ctparameter113
