!******************************************************************************!
!                                                                              !
!    ctparameter140.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter140.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter140
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter140()
  if (dZdR_QED2_scheme .eq. 0) then
    dZdR_QED2 = (2d0*Ten268*coupl(nGC_1)**2d0 + Ten269*(2d0*coupl(nGC_50)**2d0 &
                 + coupl(nGC_91)*coupl(nGC_92)) + Ten270*coupl(nGC_90)**2d0 -  &
                Ten271*coupl(nGC_94)**2d0 - Ten272*coupl(nGC_93)**2d0 + 2d0*   &
                Ten273*coupl(nGC_1)**2d0 + Ten274*(2d0*coupl(nGC_50)**2d0 +    &
                coupl(nGC_91)*coupl(nGC_92)) + Ten275*coupl(nGC_90)**2d0 + 2d0*&
                Ten278*cMD**2d0*coupl(nGC_94)**2d0 + 2d0*Ten279*cMD**2d0*coupl(&
                nGC_93)**2d0 - 4d0*Ten280*cMD**2d0*coupl(nGC_1)**2d0 + Ten281* &
                cMD**2d0*(2d0*coupl(nGC_50)**2d0 - 8d0*coupl(nGC_50)*coupl(    &
                nGC_53) + 2d0*coupl(nGC_53)**2d0 + coupl(nGC_91)**2d0 + 2d0*   &
                coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_92)**2d0) + Ten282*cMD &
                *(cMD*coupl(nGC_120)**2d0 + 2d0*cMD*coupl(nGC_33)**2d0 + cMD*  &
                coupl(nGC_90)**2d0 + 2d0*cMU*coupl(nGC_120)*coupl(nGC_90)) -   &
                2d0*Ten283*cMD**2d0*coupl(nGC_94)**2d0 - 2d0*Ten284*cMD**2d0*  &
                coupl(nGC_93)**2d0 + 4d0*Ten285*cMD**2d0*coupl(nGC_1)**2d0 +   &
                2d0*Ten286*cMD**2d0*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0 + &
                coupl(nGC_91)*coupl(nGC_92)) + Ten287*cMD**2d0*(coupl(nGC_120  &
                )**2d0 + 2d0*coupl(nGC_33)**2d0 + coupl(nGC_90)**2d0) - coupl( &
                nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi**2d0)
    dZdR_QED2 = cone*real(dZdR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter140
end module ctparameter140
