!******************************************************************************!
!                                                                              !
!    ctparameter145.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter145.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter145
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter145()
  dMHL2_QED2 = cima*(coupl(nGC_77)*dtHl_QED1/cMHL**2d0 + coupl(nGC_79)*        &
               dtHh_QED1/cMHH**2d0) + (4d0*Nc*Ten101*coupl(nGC_124)**2d0*rMHL**&
               2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten102*coupl(nGC_89)**2d0* &
               rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten103*coupl(nGC_114 &
               )**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten104*coupl( &
               nGC_94)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten105* &
               coupl(nGC_109)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc* &
               Ten106*coupl(nGC_84)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) +   &
               4d0*Nc*Ten21*cMU**2d0*coupl(nGC_124)**2d0 + 4d0*Nc*Ten22*cMC**  &
               2d0*coupl(nGC_89)**2d0 + 4d0*Nc*Ten23*cMT**2d0*coupl(nGC_114)** &
               2d0 + 4d0*Nc*Ten24*cMD**2d0*coupl(nGC_94)**2d0 + 4d0*Nc*Ten25*  &
               cMS**2d0*coupl(nGC_109)**2d0 + 4d0*Nc*Ten26*cMB**2d0*coupl(     &
               nGC_84)**2d0 + 4d0*Nc*Ten42*cMHL**2d0*coupl(nGC_124)**2d0 + 16d0&
               *Nc*Ten43*coupl(nGC_124)**2d0 + 4d0*Nc*Ten44*cMHL**2d0*coupl(   &
               nGC_124)**2d0 + 4d0*Nc*Ten45*cMHL**2d0*coupl(nGC_89)**2d0 + 16d0&
               *Nc*Ten46*coupl(nGC_89)**2d0 + 4d0*Nc*Ten47*cMHL**2d0*coupl(    &
               nGC_89)**2d0 + 4d0*Nc*Ten48*cMHL**2d0*coupl(nGC_114)**2d0 + 16d0&
               *Nc*Ten49*coupl(nGC_114)**2d0 + 4d0*Nc*Ten50*cMHL**2d0*coupl(   &
               nGC_114)**2d0 + 4d0*Nc*Ten51*cMHL**2d0*coupl(nGC_94)**2d0 + 16d0&
               *Nc*Ten52*coupl(nGC_94)**2d0 + 4d0*Nc*Ten53*cMHL**2d0*coupl(    &
               nGC_94)**2d0 + 4d0*Nc*Ten54*cMHL**2d0*coupl(nGC_109)**2d0 + 16d0&
               *Nc*Ten55*coupl(nGC_109)**2d0 + 4d0*Nc*Ten56*cMHL**2d0*coupl(   &
               nGC_109)**2d0 + 4d0*Nc*Ten57*cMHL**2d0*coupl(nGC_84)**2d0 + 16d0&
               *Nc*Ten58*coupl(nGC_84)**2d0 + 4d0*Nc*Ten59*cMHL**2d0*coupl(    &
               nGC_84)**2d0 + 4d0*Nc*Ten71*cMU**2d0*coupl(nGC_124)**2d0*(cMHL**&
               2d0 - rMHL**2d0) + 4d0*Nc*Ten72*cMC**2d0*coupl(nGC_89)**2d0*(   &
               cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten73*cMT**2d0*coupl(nGC_114)** &
               2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten74*cMD**2d0*coupl(nGC_94&
               )**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten75*cMS**2d0*coupl(   &
               nGC_109)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten76*cMB**2d0*  &
               coupl(nGC_84)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten83*coupl(&
               nGC_124)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten84* &
               coupl(nGC_89)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*  &
               Ten85*coupl(nGC_114)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) +   &
               4d0*Nc*Ten86*coupl(nGC_94)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0&
               ) + 4d0*Nc*Ten87*coupl(nGC_109)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL&
               **2d0) + 4d0*Nc*Ten88*coupl(nGC_84)**2d0*rMHL**2d0*(cMHL**2d0 - &
               rMHL**2d0) + 16d0*Nc*Ten92*coupl(nGC_124)**2d0*(cMHL**2d0 - rMHL&
               **2d0) + 16d0*Nc*Ten93*coupl(nGC_89)**2d0*(cMHL**2d0 - rMHL**2d0&
               ) + 16d0*Nc*Ten94*coupl(nGC_114)**2d0*(cMHL**2d0 - rMHL**2d0) + &
               16d0*Nc*Ten95*coupl(nGC_94)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*&
               Nc*Ten96*coupl(nGC_109)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc* &
               Ten97*coupl(nGC_84)**2d0*(cMHL**2d0 - rMHL**2d0) - 4d0*Nc*cMB** &
               2d0*coupl(nGC_84)**2d0 - 4d0*Nc*cMC**2d0*coupl(nGC_89)**2d0 -   &
               4d0*Nc*cMD**2d0*coupl(nGC_94)**2d0 + 2d0*Nc*cMHL**2d0*coupl(    &
               nGC_109)**2d0/3d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_114)**2d0/3d0 +  &
               2d0*Nc*cMHL**2d0*coupl(nGC_124)**2d0/3d0 + 2d0*Nc*cMHL**2d0*    &
               coupl(nGC_84)**2d0/3d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_89)**2d0/3d0&
                + 2d0*Nc*cMHL**2d0*coupl(nGC_94)**2d0/3d0 - 4d0*Nc*cMS**2d0*   &
               coupl(nGC_109)**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_114)**2d0 - 4d0*&
               Nc*cMU**2d0*coupl(nGC_124)**2d0 + cima*Ten0*coupl(nGC_23)/2d0 + &
               cima*Ten1*(coupl(nGC_19) - 4d0*coupl(nGC_67))/2d0 + 4d0*Ten100* &
               coupl(nGC_119)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + Ten13*(-&
               5d0*cMHL**2d0*coupl(nGC_61)**2d0 + 2d0*coupl(nGC_62)**2d0 - 4d0*&
               coupl(nGC_73)**2d0 - coupl(nGC_74)**2d0)/2d0 + Ten14*(-5d0*cMHL &
               **2d0*coupl(nGC_46)*coupl(nGC_47) + 2d0*coupl(nGC_49)**2d0 - 4d0&
               *coupl(nGC_70)**2d0 - coupl(nGC_74)**2d0) - Ten15*coupl(nGC_77  &
               )**2d0/2d0 - Ten16*coupl(nGC_79)**2d0 - Ten17*coupl(nGC_76)**2d0&
               /2d0 + 4d0*Ten18*cME**2d0*coupl(nGC_99)**2d0 + 4d0*Ten19*cMM**  &
               2d0*coupl(nGC_104)**2d0 + cima*Ten2*coupl(nGC_25)/2d0 + 4d0*    &
               Ten20*cMTA**2d0*coupl(nGC_119)**2d0 - Ten27*cMHL**2d0*coupl(    &
               nGC_61)**2d0 - 4d0*Ten28*coupl(nGC_61)**2d0 - Ten29*cMHL**2d0*  &
               coupl(nGC_61)**2d0 + cima*Ten3*(coupl(nGC_19) - 4d0*coupl(nGC_31&
               )) - 2d0*Ten30*cMHL**2d0*coupl(nGC_46)*coupl(nGC_47) - 8d0*Ten31&
               *coupl(nGC_46)*coupl(nGC_47) - 2d0*Ten32*cMHL**2d0*coupl(nGC_46 &
               )*coupl(nGC_47) + 4d0*Ten33*cMHL**2d0*coupl(nGC_99)**2d0 + 16d0*&
               Ten34*coupl(nGC_99)**2d0 + 4d0*Ten35*cMHL**2d0*coupl(nGC_99)**  &
               2d0 + 4d0*Ten36*cMHL**2d0*coupl(nGC_104)**2d0 + 16d0*Ten37*coupl&
               (nGC_104)**2d0 + 4d0*Ten38*cMHL**2d0*coupl(nGC_104)**2d0 + 4d0* &
               Ten39*cMHL**2d0*coupl(nGC_119)**2d0 + 16d0*Ten40*coupl(nGC_119  &
               )**2d0 + 4d0*Ten41*cMHL**2d0*coupl(nGC_119)**2d0 + Ten60*(-5d0* &
               cMHL**2d0*coupl(nGC_61)**2d0*rMHL**2d0 + 2d0*cMHL**2d0*coupl(   &
               nGC_62)**2d0 - 4d0*cMHL**2d0*coupl(nGC_73)**2d0 - cMHL**2d0*    &
               coupl(nGC_74)**2d0 + 5d0*coupl(nGC_61)**2d0*rMHL**4d0 - 2d0*    &
               coupl(nGC_62)**2d0*rMHL**2d0 + 4d0*coupl(nGC_73)**2d0*rMHL**2d0 &
                + coupl(nGC_74)**2d0*rMHL**2d0)/2d0 + Ten61*coupl(nGC_61)**2d0*&
               rMHL**2d0*(-cMHL**2d0 + rMHL**2d0) + 4d0*Ten62*coupl(nGC_61)**  &
               2d0*(-cMHL**2d0 + rMHL**2d0) + Ten63*coupl(nGC_61)**2d0*rMHL**  &
               2d0*(-cMHL**2d0 + rMHL**2d0) + Ten64*(-5d0*cMHL**2d0*coupl(     &
               nGC_46)*coupl(nGC_47)*rMHL**2d0 + 2d0*cMHL**2d0*coupl(nGC_49)** &
               2d0 - 4d0*cMHL**2d0*coupl(nGC_70)**2d0 - cMHL**2d0*coupl(nGC_74 &
               )**2d0 + 5d0*coupl(nGC_46)*coupl(nGC_47)*rMHL**4d0 - 2d0*coupl( &
               nGC_49)**2d0*rMHL**2d0 + 4d0*coupl(nGC_70)**2d0*rMHL**2d0 +     &
               coupl(nGC_74)**2d0*rMHL**2d0) + 2d0*Ten65*coupl(nGC_46)*coupl(  &
               nGC_47)*rMHL**2d0*(-cMHL**2d0 + rMHL**2d0) + 8d0*Ten66*coupl(   &
               nGC_46)*coupl(nGC_47)*(-cMHL**2d0 + rMHL**2d0) + 2d0*Ten67*coupl&
               (nGC_46)*coupl(nGC_47)*rMHL**2d0*(-cMHL**2d0 + rMHL**2d0) + 4d0*&
               Ten68*cME**2d0*coupl(nGC_99)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*&
               Ten69*cMM**2d0*coupl(nGC_104)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0&
               *Ten70*cMTA**2d0*coupl(nGC_119)**2d0*(cMHL**2d0 - rMHL**2d0) +  &
               Ten77*coupl(nGC_77)**2d0*(-cMHL**2d0 + rMHL**2d0)/2d0 + Ten78*  &
               coupl(nGC_79)**2d0*(-cMHL**2d0 + rMHL**2d0) + Ten79*coupl(nGC_76&
               )**2d0*(-cMHL**2d0 + rMHL**2d0)/2d0 + 4d0*Ten80*coupl(nGC_99)** &
               2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Ten81*coupl(nGC_104 &
               )**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Ten82*coupl(     &
               nGC_119)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Ten89*   &
               coupl(nGC_99)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Ten90*coupl(  &
               nGC_104)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Ten91*coupl(nGC_119&
               )**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Ten98*coupl(nGC_99)**2d0*  &
               rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Ten99*coupl(nGC_104)**  &
               2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) - 4d0*cME**2d0*coupl(     &
               nGC_99)**2d0 + 2d0*cMHL**2d0*coupl(nGC_104)**2d0/3d0 + 2d0*cMHL &
               **2d0*coupl(nGC_119)**2d0/3d0 - cMHL**2d0*coupl(nGC_46)*coupl(  &
               nGC_47)/3d0 - cMHL**2d0*coupl(nGC_61)**2d0/6d0 + 2d0*cMHL**2d0* &
               coupl(nGC_99)**2d0/3d0 - 4d0*cMM**2d0*coupl(nGC_104)**2d0 - 4d0*&
               cMTA**2d0*coupl(nGC_119)**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_31  &
               ) + 2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47) + cMZ**2d0*coupl(  &
               nGC_61)**2d0 + cima*cMZ**2d0*coupl(nGC_67) + 2d0*coupl(nGC_70)**&
               2d0 + coupl(nGC_73)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMHL2_QED2 = cone*real(dMHL2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter145
end module ctparameter145
