!******************************************************************************!
!                                                                              !
!    ctparameter177.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter177.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter177
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter177()
  if (da_QED2_scheme .eq. 4) then
    da_QED2 = ((4d0*MPS**2d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 4d0*MPS**2d0*Nc&
              *coupl(nGC_113)*coupl(nGC_114) + 4d0*MPS**2d0*Nc*coupl(nGC_123)* &
              coupl(nGC_124) + 4d0*MPS**2d0*Nc*coupl(nGC_83)*coupl(nGC_84) +   &
              4d0*MPS**2d0*Nc*coupl(nGC_88)*coupl(nGC_89) + 4d0*MPS**2d0*Nc*   &
              coupl(nGC_93)*coupl(nGC_94) + 4d0*MPS**2d0*coupl(nGC_103)*coupl( &
              nGC_104) + 4d0*MPS**2d0*coupl(nGC_118)*coupl(nGC_119) - MPS**2d0*&
              coupl(nGC_34)*coupl(nGC_46) - MPS**2d0*coupl(nGC_35)*coupl(nGC_47&
              ) - MPS**2d0*coupl(nGC_57)*coupl(nGC_61) + 4d0*MPS**2d0*coupl(   &
              nGC_98)*coupl(nGC_99) - 24d0*Nc*cMB**2d0*coupl(nGC_83)*coupl(    &
              nGC_84) - 24d0*Nc*cMC**2d0*coupl(nGC_88)*coupl(nGC_89) - 24d0*Nc*&
              cMD**2d0*coupl(nGC_93)*coupl(nGC_94) - 24d0*Nc*cMS**2d0*coupl(   &
              nGC_108)*coupl(nGC_109) - 24d0*Nc*cMT**2d0*coupl(nGC_113)*coupl( &
              nGC_114) - 24d0*Nc*cMU**2d0*coupl(nGC_123)*coupl(nGC_124) - 24d0*&
              cME**2d0*coupl(nGC_98)*coupl(nGC_99) - 24d0*cMM**2d0*coupl(      &
              nGC_103)*coupl(nGC_104) - 24d0*cMTA**2d0*coupl(nGC_118)*coupl(   &
              nGC_119) + 12d0*cima*cMW**2d0*coupl(nGC_30) + 6d0*cMW**2d0*coupl(&
              nGC_34)*coupl(nGC_46) + 6d0*cMW**2d0*coupl(nGC_35)*coupl(nGC_47  &
              ) + 6d0*cMZ**2d0*coupl(nGC_57)*coupl(nGC_61) + 6d0*cima*cMZ**2d0*&
              coupl(nGC_66) + 12d0*coupl(nGC_69)*coupl(nGC_70) + 6d0*coupl(    &
              nGC_72)*coupl(nGC_73))/(6d0*(MHH**2d0 - MHL**2d0)) + (8d0*MPS**  &
              2d0*Nc*Ten700*coupl(nGC_123)*coupl(nGC_124) + 8d0*MPS**2d0*Nc*   &
              Ten702*coupl(nGC_123)*coupl(nGC_124) + 8d0*MPS**2d0*Nc*Ten703*   &
              coupl(nGC_88)*coupl(nGC_89) + 8d0*MPS**2d0*Nc*Ten705*coupl(nGC_88&
              )*coupl(nGC_89) + 8d0*MPS**2d0*Nc*Ten706*coupl(nGC_113)*coupl(   &
              nGC_114) + 8d0*MPS**2d0*Nc*Ten708*coupl(nGC_113)*coupl(nGC_114   &
              ) + 8d0*MPS**2d0*Nc*Ten709*coupl(nGC_93)*coupl(nGC_94) + 8d0*MPS &
              **2d0*Nc*Ten711*coupl(nGC_93)*coupl(nGC_94) + 8d0*MPS**2d0*Nc*   &
              Ten712*coupl(nGC_108)*coupl(nGC_109) + 8d0*MPS**2d0*Nc*Ten714*   &
              coupl(nGC_108)*coupl(nGC_109) + 8d0*MPS**2d0*Nc*Ten715*coupl(    &
              nGC_83)*coupl(nGC_84) + 8d0*MPS**2d0*Nc*Ten717*coupl(nGC_83)*    &
              coupl(nGC_84) - 2d0*MPS**2d0*Ten685*coupl(nGC_57)*coupl(nGC_61   &
              ) - 2d0*MPS**2d0*Ten687*coupl(nGC_57)*coupl(nGC_61) - 2d0*MPS**  &
              2d0*Ten688*(coupl(nGC_34)*coupl(nGC_46) + coupl(nGC_35)*coupl(   &
              nGC_47)) - 2d0*MPS**2d0*Ten690*(coupl(nGC_34)*coupl(nGC_46) +    &
              coupl(nGC_35)*coupl(nGC_47)) + 8d0*MPS**2d0*Ten691*coupl(nGC_98)*&
              coupl(nGC_99) + 8d0*MPS**2d0*Ten693*coupl(nGC_98)*coupl(nGC_99   &
              ) + 8d0*MPS**2d0*Ten694*coupl(nGC_103)*coupl(nGC_104) + 8d0*MPS**&
              2d0*Ten696*coupl(nGC_103)*coupl(nGC_104) + 8d0*MPS**2d0*Ten697*  &
              coupl(nGC_118)*coupl(nGC_119) + 8d0*MPS**2d0*Ten699*coupl(nGC_118&
              )*coupl(nGC_119) + 8d0*Nc*Ten679*cMU**2d0*coupl(nGC_123)*coupl(  &
              nGC_124) + 8d0*Nc*Ten680*cMC**2d0*coupl(nGC_88)*coupl(nGC_89) +  &
              8d0*Nc*Ten681*cMT**2d0*coupl(nGC_113)*coupl(nGC_114) + 8d0*Nc*   &
              Ten682*cMD**2d0*coupl(nGC_93)*coupl(nGC_94) + 8d0*Nc*Ten683*cMS**&
              2d0*coupl(nGC_108)*coupl(nGC_109) + 8d0*Nc*Ten684*cMB**2d0*coupl(&
              nGC_83)*coupl(nGC_84) + 32d0*Nc*Ten701*coupl(nGC_123)*coupl(     &
              nGC_124) + 32d0*Nc*Ten704*coupl(nGC_88)*coupl(nGC_89) + 32d0*Nc* &
              Ten707*coupl(nGC_113)*coupl(nGC_114) + 32d0*Nc*Ten710*coupl(     &
              nGC_93)*coupl(nGC_94) + 32d0*Nc*Ten713*coupl(nGC_108)*coupl(     &
              nGC_109) + 32d0*Nc*Ten716*coupl(nGC_83)*coupl(nGC_84) + cima*Ten0&
              *coupl(nGC_21) + cima*Ten1*(coupl(nGC_18) - 4d0*coupl(nGC_66)) + &
              cima*Ten2*coupl(nGC_22) + 2d0*cima*Ten3*(coupl(nGC_18) - 4d0*    &
              coupl(nGC_30)) + Ten671*(-5d0*MPS**2d0*coupl(nGC_57)*coupl(nGC_61&
              ) + 2d0*coupl(nGC_60)*coupl(nGC_62) - 4d0*coupl(nGC_72)*coupl(   &
              nGC_73) - coupl(nGC_74)*coupl(nGC_75)) + Ten672*(-5d0*MPS**2d0*  &
              coupl(nGC_34)*coupl(nGC_46) - 5d0*MPS**2d0*coupl(nGC_35)*coupl(  &
              nGC_47) + 4d0*coupl(nGC_44)*coupl(nGC_49) - 8d0*coupl(nGC_69)*   &
              coupl(nGC_70) - 2d0*coupl(nGC_74)*coupl(nGC_75)) - Ten673*coupl( &
              nGC_77)*coupl(nGC_79) - 2d0*Ten674*coupl(nGC_76)*coupl(nGC_79) - &
              Ten675*coupl(nGC_76)*coupl(nGC_78) + 8d0*Ten676*cME**2d0*coupl(  &
              nGC_98)*coupl(nGC_99) + 8d0*Ten677*cMM**2d0*coupl(nGC_103)*coupl(&
              nGC_104) + 8d0*Ten678*cMTA**2d0*coupl(nGC_118)*coupl(nGC_119) -  &
              8d0*Ten686*coupl(nGC_57)*coupl(nGC_61) - 8d0*Ten689*(coupl(nGC_34&
              )*coupl(nGC_46) + coupl(nGC_35)*coupl(nGC_47)) + 32d0*Ten692*    &
              coupl(nGC_98)*coupl(nGC_99) + 32d0*Ten695*coupl(nGC_103)*coupl(  &
              nGC_104) + 32d0*Ten698*coupl(nGC_118)*coupl(nGC_119))/(2d0*(MHH**&
              2d0 - MHL**2d0)))/(16d0*pi**2d0) + cima*(coupl(nGC_79)*dtHl_QED1/&
              cMHL**2d0 + coupl(nGC_76)*dtHh_QED1/cMHH**2d0)/(MHH**2d0 - MHL** &
              2d0)
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter177
end module ctparameter177
