!******************************************************************************!
!                                                                              !
!    ctparameter59.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter59.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter59
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter59()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dtHl_MS_QED1 = cima*DeltaUV*(8d0*Nc*cMB**3d0*coupl(nGC_84) + 8d0*Nc*cMC**3d0*&
                 coupl(nGC_89) + 8d0*Nc*cMD**3d0*coupl(nGC_94) + 8d0*Nc*cMS**  &
                 3d0*coupl(nGC_109) + 8d0*Nc*cMT**3d0*coupl(nGC_114) + 8d0*Nc* &
                 cMU**3d0*coupl(nGC_124) + 8d0*cME**3d0*coupl(nGC_99) - cMHH** &
                 2d0*coupl(nGC_76) - cMHL**2d0*coupl(nGC_77) + 8d0*cMM**3d0*   &
                 coupl(nGC_104) + 8d0*cMTA**3d0*coupl(nGC_119) + 4d0*cMW**2d0* &
                 coupl(nGC_49) + 8d0*cMW**2d0*coupl(nGC_70) - 2d0*cMW**2d0*    &
                 coupl(nGC_74) + 2d0*cMZ**2d0*coupl(nGC_62) + 4d0*cMZ**2d0*    &
                 coupl(nGC_73) - cMZ**2d0*coupl(nGC_74))/(32d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_MS_QED1 = cone*real(dtHl_MS_QED1,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter59
end module ctparameter59
