!******************************************************************************!
!                                                                              !
!    ctparameter65.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter65.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter65
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter65()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHH2_MS_QED2 = DeltaUV*(12d0*Nc*cMB**2d0*coupl(nGC_83)**2d0 + 12d0*Nc*cMC** &
                  2d0*coupl(nGC_88)**2d0 + 12d0*Nc*cMD**2d0*coupl(nGC_93)**2d0 &
                   - 2d0*Nc*cMHH**2d0*coupl(nGC_108)**2d0 - 2d0*Nc*cMHH**2d0*  &
                  coupl(nGC_113)**2d0 - 2d0*Nc*cMHH**2d0*coupl(nGC_123)**2d0 - &
                  2d0*Nc*cMHH**2d0*coupl(nGC_83)**2d0 - 2d0*Nc*cMHH**2d0*coupl(&
                  nGC_88)**2d0 - 2d0*Nc*cMHH**2d0*coupl(nGC_93)**2d0 + 12d0*Nc*&
                  cMS**2d0*coupl(nGC_108)**2d0 + 12d0*Nc*cMT**2d0*coupl(nGC_113&
                  )**2d0 + 12d0*Nc*cMU**2d0*coupl(nGC_123)**2d0 + 12d0*cME**2d0&
                  *coupl(nGC_98)**2d0 - 2d0*cMHH**2d0*coupl(nGC_103)**2d0 - 2d0&
                  *cMHH**2d0*coupl(nGC_118)**2d0 + cima*cMHH**2d0*coupl(nGC_24 &
                  )/2d0 - 4d0*cMHH**2d0*coupl(nGC_34)*coupl(nGC_35) - 2d0*cMHH &
                  **2d0*coupl(nGC_57)**2d0 - 2d0*cMHH**2d0*coupl(nGC_98)**2d0  &
                   + cima*cMHL**2d0*coupl(nGC_25)/2d0 + 12d0*cMM**2d0*coupl(   &
                  nGC_103)**2d0 + 12d0*cMTA**2d0*coupl(nGC_118)**2d0 + cima*cMW&
                  **2d0*coupl(nGC_20) - 4d0*cima*cMW**2d0*coupl(nGC_28) - 4d0* &
                  cMW**2d0*coupl(nGC_34)*coupl(nGC_35) + cima*cMZ**2d0*coupl(  &
                  nGC_20)/2d0 - 2d0*cMZ**2d0*coupl(nGC_57)**2d0 - 2d0*cima*cMZ &
                  **2d0*coupl(nGC_65) + 2d0*coupl(nGC_44)**2d0 + coupl(nGC_60  &
                  )**2d0 - 4d0*coupl(nGC_69)**2d0 - 2d0*coupl(nGC_72)**2d0 -   &
                  3d0*coupl(nGC_75)**2d0/2d0 - coupl(nGC_76)**2d0 - coupl(     &
                  nGC_78)**2d0/2d0 - coupl(nGC_79)**2d0/2d0)/(16d0*pi**2d0) +  &
                  cima*(coupl(nGC_76)*dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_78)*  &
                  dtHh_MS_QED1/cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dMHH2_MS_QED2 = cone*real(dMHH2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter65
end module ctparameter65
