!******************************************************************************!
!                                                                              !
!    ctparameter68.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter68.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter68
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter68()
  if (dZeMinusR_QED2_scheme .eq. 2) then
    dZeMinusR_QED2 = (Ten201*coupl(nGC_4)**2d0 - Ten265*(2d0*coupl(nGC_52)**2d0&
                      + coupl(nGC_96)*coupl(nGC_97)) - Ten266*coupl(nGC_98)**  &
                     2d0 - Ten267*coupl(nGC_99)**2d0 - Ten437*coupl(nGC_95)**  &
                     2d0 - coupl(nGC_52)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter68
end module ctparameter68
