!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  dtHh_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_69) - cMZ**2d0*coupl(nGC_72)) +   &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_93) + 8d0*Nc*Ten11*cMS*coupl(   &
              nGC_108) + 8d0*Nc*Ten12*cMB*coupl(nGC_83) + 8d0*Nc*Ten7*cMU*coupl&
              (nGC_123) + 8d0*Nc*Ten8*cMC*coupl(nGC_88) + 8d0*Nc*Ten9*cMT*coupl&
              (nGC_113) - Ten0*coupl(nGC_79) + Ten1*(2d0*coupl(nGC_60) + 4d0*  &
              coupl(nGC_72) - coupl(nGC_75)) - Ten2*coupl(nGC_78) + 2d0*Ten3*( &
              2d0*coupl(nGC_44) + 4d0*coupl(nGC_69) - coupl(nGC_75)) + 8d0*Ten4&
              *cME*coupl(nGC_98) + 8d0*Ten5*cMM*coupl(nGC_103) + 8d0*Ten6*cMTA*&
              coupl(nGC_118))/2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHh_QED1 = cone*real(dtHh_QED1,kind=dp)
    end if 
end subroutine set_ctparameter71
end module ctparameter71
