!******************************************************************************!
!                                                                              !
!    ctparameter73.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter73.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter73
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter73()
  dtHl_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_70) - cMZ**2d0*coupl(nGC_73)) +   &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_94) + 8d0*Nc*Ten11*cMS*coupl(   &
              nGC_109) + 8d0*Nc*Ten12*cMB*coupl(nGC_84) + 8d0*Nc*Ten7*cMU*coupl&
              (nGC_124) + 8d0*Nc*Ten8*cMC*coupl(nGC_89) + 8d0*Nc*Ten9*cMT*coupl&
              (nGC_114) - Ten0*coupl(nGC_77) + Ten1*(2d0*coupl(nGC_62) + 4d0*  &
              coupl(nGC_73) - coupl(nGC_74)) - Ten2*coupl(nGC_76) + 2d0*Ten3*( &
              2d0*coupl(nGC_49) + 4d0*coupl(nGC_70) - coupl(nGC_74)) + 8d0*Ten4&
              *cME*coupl(nGC_99) + 8d0*Ten5*cMM*coupl(nGC_104) + 8d0*Ten6*cMTA*&
              coupl(nGC_119))/2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_QED1 = cone*real(dtHl_QED1,kind=dp)
    end if 
end subroutine set_ctparameter73
end module ctparameter73
