!******************************************************************************!
!                                                                              !
!    ctparameter93.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter93.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter93
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter93()
  dZHl_QED2 = (-4d0*Nc*Ten101*coupl(nGC_124)**2d0*rMHL**2d0 - 4d0*Nc*Ten102*   &
              coupl(nGC_89)**2d0*rMHL**2d0 - 4d0*Nc*Ten103*coupl(nGC_114)**2d0*&
              rMHL**2d0 - 4d0*Nc*Ten104*coupl(nGC_94)**2d0*rMHL**2d0 - 4d0*Nc* &
              Ten105*coupl(nGC_109)**2d0*rMHL**2d0 - 4d0*Nc*Ten106*coupl(nGC_84&
              )**2d0*rMHL**2d0 - 4d0*Nc*Ten42*coupl(nGC_124)**2d0 - 4d0*Nc*    &
              Ten44*coupl(nGC_124)**2d0 - 4d0*Nc*Ten45*coupl(nGC_89)**2d0 - 4d0&
              *Nc*Ten47*coupl(nGC_89)**2d0 - 4d0*Nc*Ten48*coupl(nGC_114)**2d0  &
               - 4d0*Nc*Ten50*coupl(nGC_114)**2d0 - 4d0*Nc*Ten51*coupl(nGC_94  &
              )**2d0 - 4d0*Nc*Ten53*coupl(nGC_94)**2d0 - 4d0*Nc*Ten54*coupl(   &
              nGC_109)**2d0 - 4d0*Nc*Ten56*coupl(nGC_109)**2d0 - 4d0*Nc*Ten57* &
              coupl(nGC_84)**2d0 - 4d0*Nc*Ten59*coupl(nGC_84)**2d0 - 4d0*Nc*   &
              Ten71*cMU**2d0*coupl(nGC_124)**2d0 - 4d0*Nc*Ten72*cMC**2d0*coupl(&
              nGC_89)**2d0 - 4d0*Nc*Ten73*cMT**2d0*coupl(nGC_114)**2d0 - 4d0*Nc&
              *Ten74*cMD**2d0*coupl(nGC_94)**2d0 - 4d0*Nc*Ten75*cMS**2d0*coupl(&
              nGC_109)**2d0 - 4d0*Nc*Ten76*cMB**2d0*coupl(nGC_84)**2d0 - 4d0*Nc&
              *Ten83*coupl(nGC_124)**2d0*rMHL**2d0 - 4d0*Nc*Ten84*coupl(nGC_89 &
              )**2d0*rMHL**2d0 - 4d0*Nc*Ten85*coupl(nGC_114)**2d0*rMHL**2d0 -  &
              4d0*Nc*Ten86*coupl(nGC_94)**2d0*rMHL**2d0 - 4d0*Nc*Ten87*coupl(  &
              nGC_109)**2d0*rMHL**2d0 - 4d0*Nc*Ten88*coupl(nGC_84)**2d0*rMHL** &
              2d0 - 16d0*Nc*Ten92*coupl(nGC_124)**2d0 - 16d0*Nc*Ten93*coupl(   &
              nGC_89)**2d0 - 16d0*Nc*Ten94*coupl(nGC_114)**2d0 - 16d0*Nc*Ten95*&
              coupl(nGC_94)**2d0 - 16d0*Nc*Ten96*coupl(nGC_109)**2d0 - 16d0*Nc*&
              Ten97*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_109)**2d0/3d0 - 2d0* &
              Nc*coupl(nGC_114)**2d0/3d0 - 2d0*Nc*coupl(nGC_124)**2d0/3d0 - 2d0&
              *Nc*coupl(nGC_84)**2d0/3d0 - 2d0*Nc*coupl(nGC_89)**2d0/3d0 - 2d0*&
              Nc*coupl(nGC_94)**2d0/3d0 - 4d0*Ten100*coupl(nGC_119)**2d0*rMHL**&
              2d0 + 5d0*Ten13*coupl(nGC_61)**2d0/2d0 + 5d0*Ten14*coupl(nGC_46)*&
              coupl(nGC_47) + Ten27*coupl(nGC_61)**2d0 + Ten29*coupl(nGC_61)** &
              2d0 + 2d0*Ten30*coupl(nGC_46)*coupl(nGC_47) + 2d0*Ten32*coupl(   &
              nGC_46)*coupl(nGC_47) - 4d0*Ten33*coupl(nGC_99)**2d0 - 4d0*Ten35*&
              coupl(nGC_99)**2d0 - 4d0*Ten36*coupl(nGC_104)**2d0 - 4d0*Ten38*  &
              coupl(nGC_104)**2d0 - 4d0*Ten39*coupl(nGC_119)**2d0 - 4d0*Ten41* &
              coupl(nGC_119)**2d0 + Ten60*(5d0*coupl(nGC_61)**2d0*rMHL**2d0 -  &
              2d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_73)**2d0 + coupl(nGC_74)**&
              2d0)/2d0 + Ten61*coupl(nGC_61)**2d0*rMHL**2d0 + 4d0*Ten62*coupl( &
              nGC_61)**2d0 + Ten63*coupl(nGC_61)**2d0*rMHL**2d0 + Ten64*(5d0*  &
              coupl(nGC_46)*coupl(nGC_47)*rMHL**2d0 - 2d0*coupl(nGC_49)**2d0 + &
              4d0*coupl(nGC_70)**2d0 + coupl(nGC_74)**2d0) + 2d0*Ten65*coupl(  &
              nGC_46)*coupl(nGC_47)*rMHL**2d0 + 8d0*Ten66*coupl(nGC_46)*coupl( &
              nGC_47) + 2d0*Ten67*coupl(nGC_46)*coupl(nGC_47)*rMHL**2d0 - 4d0* &
              Ten68*cME**2d0*coupl(nGC_99)**2d0 - 4d0*Ten69*cMM**2d0*coupl(    &
              nGC_104)**2d0 - 4d0*Ten70*cMTA**2d0*coupl(nGC_119)**2d0 + Ten77* &
              coupl(nGC_77)**2d0/2d0 + Ten78*coupl(nGC_79)**2d0 + Ten79*coupl( &
              nGC_76)**2d0/2d0 - 4d0*Ten80*coupl(nGC_99)**2d0*rMHL**2d0 - 4d0* &
              Ten81*coupl(nGC_104)**2d0*rMHL**2d0 - 4d0*Ten82*coupl(nGC_119)** &
              2d0*rMHL**2d0 - 16d0*Ten89*coupl(nGC_99)**2d0 - 16d0*Ten90*coupl(&
              nGC_104)**2d0 - 16d0*Ten91*coupl(nGC_119)**2d0 - 4d0*Ten98*coupl(&
              nGC_99)**2d0*rMHL**2d0 - 4d0*Ten99*coupl(nGC_104)**2d0*rMHL**2d0 &
               - 2d0*coupl(nGC_104)**2d0/3d0 - 2d0*coupl(nGC_119)**2d0/3d0 +   &
              coupl(nGC_46)*coupl(nGC_47)/3d0 + coupl(nGC_61)**2d0/6d0 - 2d0*  &
              coupl(nGC_99)**2d0/3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_QED2 = cone*real(dZHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter93
end module ctparameter93
