!******************************************************************************!
!                                                                              !
!    ctparameter94.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter94.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter94
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter94()
  if (dMB_QED2_scheme .eq. 0) then
    dMB_QED2 = cima*(coupl(nGC_84)*dtHl_QED1/cMHL**2d0 + coupl(nGC_83)*        &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten354*cMB*coupl(nGC_1)**2d0 +      &
               Ten355*cMB*(-2d0*coupl(nGC_50)**2d0 + 8d0*coupl(nGC_50)*coupl(  &
               nGC_53) - 2d0*coupl(nGC_53)**2d0 - coupl(nGC_81)**2d0 - 2d0*    &
               coupl(nGC_81)*coupl(nGC_82) - coupl(nGC_82)**2d0)/2d0 - Ten356*(&
               cMB*coupl(nGC_110)**2d0 + 2d0*cMB*coupl(nGC_33)**2d0 + cMB*coupl&
               (nGC_80)**2d0 + 2d0*cMT*coupl(nGC_110)*coupl(nGC_80))/2d0 +     &
               Ten357*cMB*coupl(nGC_83)**2d0 + Ten358*cMB*coupl(nGC_84)**2d0 - &
               2d0*Ten359*cMB*coupl(nGC_1)**2d0 - Ten360*cMB*(coupl(nGC_50)**  &
               2d0 + coupl(nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82)) - Ten361&
               *cMB*(coupl(nGC_110)**2d0 + 2d0*coupl(nGC_33)**2d0 + coupl(     &
               nGC_80)**2d0)/2d0 - Ten362*cMB*coupl(nGC_83)**2d0 - Ten363*cMB* &
               coupl(nGC_84)**2d0 + 2d0*Ten364*cMB*coupl(nGC_83)**2d0*rMB*(-cMB&
                + rMB) + 2d0*Ten365*cMB*coupl(nGC_84)**2d0*rMB*(-cMB + rMB) +  &
               4d0*Ten366*coupl(nGC_1)**2d0*rMB*(2d0*cMB**2d0 - 3d0*cMB*rMB +  &
               rMB**2d0) + Ten367*rMB*(8d0*cMB**2d0*coupl(nGC_50)*coupl(nGC_53 &
               ) - cMB**2d0*coupl(nGC_81)**2d0 - cMB**2d0*coupl(nGC_82)**2d0 - &
               2d0*cMB*coupl(nGC_50)**2d0*rMB - 8d0*cMB*coupl(nGC_50)*coupl(   &
               nGC_53)*rMB - 2d0*cMB*coupl(nGC_53)**2d0*rMB + cMB*coupl(nGC_81 &
               )**2d0*rMB - 2d0*cMB*coupl(nGC_81)*coupl(nGC_82)*rMB + cMB*coupl&
               (nGC_82)**2d0*rMB + 2d0*coupl(nGC_50)**2d0*rMB**2d0 + 2d0*coupl(&
               nGC_53)**2d0*rMB**2d0 + 2d0*coupl(nGC_81)*coupl(nGC_82)*rMB**2d0&
               ) + Ten368*rMB*(-2d0*cMB*cMT*coupl(nGC_110)*coupl(nGC_80) - cMB*&
               coupl(nGC_110)**2d0*rMB - 2d0*cMB*coupl(nGC_33)**2d0*rMB - cMB* &
               coupl(nGC_80)**2d0*rMB + 2d0*cMT*coupl(nGC_110)*coupl(nGC_80)*  &
               rMB + coupl(nGC_110)**2d0*rMB**2d0 + 2d0*coupl(nGC_33)**2d0*rMB &
               **2d0 + coupl(nGC_80)**2d0*rMB**2d0) + 2d0*Ten369*coupl(nGC_83  &
               )**2d0*rMB**2d0*(cMB - rMB) + 2d0*Ten370*coupl(nGC_84)**2d0*rMB &
               **2d0*(cMB - rMB) + 4d0*Ten371*coupl(nGC_1)**2d0*rMB**2d0*(-cMB &
                + rMB) + 2d0*Ten372*rMB**2d0*(-cMB*coupl(nGC_50)**2d0 - cMB*   &
               coupl(nGC_53)**2d0 - cMB*coupl(nGC_81)*coupl(nGC_82) + coupl(   &
               nGC_50)**2d0*rMB + coupl(nGC_53)**2d0*rMB + coupl(nGC_81)*coupl(&
               nGC_82)*rMB) + Ten373*rMB**2d0*(-cMB*coupl(nGC_110)**2d0 - 2d0* &
               cMB*coupl(nGC_33)**2d0 - cMB*coupl(nGC_80)**2d0 + coupl(nGC_110 &
               )**2d0*rMB + 2d0*coupl(nGC_33)**2d0*rMB + coupl(nGC_80)**2d0*rMB&
               ) + (-16d0*pi*aEW*cMB**2d0 + 16d0*pi*aEW*rMB**2d0 - 18d0*cMB*   &
               coupl(nGC_1)**2d0*rMB + 9d0*cMB*coupl(nGC_33)**2d0*rMB + 9d0*cMB&
               *coupl(nGC_50)**2d0*rMB - 36d0*cMB*coupl(nGC_50)*coupl(nGC_53)* &
               rMB + 9d0*cMB*coupl(nGC_53)**2d0*rMB)/(18d0*rMB))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMB_QED2 = cone*real(dMB_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter94
end module ctparameter94
